## Class Swift_Plugins_LoggerPlugin

(line 30)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/LoggerPlugin.php

##### Does real time logging of Transport level information.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Plugins_LoggerPlugin __construct (Swift_Plugins_Logger $logger)
void add (string $entry)
void beforeTransportStarted (Swift_Events_TransportChangeEvent $evt)
void beforeTransportStopped (Swift_Events_TransportChangeEvent $evt)
void clear ()
void commandSent (Swift_Events_CommandEvent $evt)
string dump ()
void exceptionThrown (Swift_Events_TransportExceptionEvent $evt)
void responseReceived (Swift_Events_ResponseEvent $evt)
void transportStarted (Swift_Events_TransportChangeEvent $evt)
void transportStopped (Swift_Events_TransportChangeEvent $evt)

#### Constructor __construct (line 44)

#### Swift_Plugins_LoggerPlugin __construct( Swift_Plugins_Logger $logger)

##### Create a new LoggerPlugin using $logger.

#### Parameters

- Swift_Plugins_Logger $logger:

#### Info

- access - public

#### Method add (line 54)

#### void add( string $entry)

Implementation of:

Swift_Plugins_Logger::add()
  Add a log entry.

##### Add a log entry.

#### Parameters

- string $entry:

#### Info

- access - public

#### Method beforeTransportStarted (line 104)

#### void beforeTransportStarted( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::beforeTransportStarted()
  Invoked just before a Transport is started.

##### Invoked just before a Transport is started.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method beforeTransportStopped (line 126)

#### void beforeTransportStopped( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::beforeTransportStopped()
  Invoked just before a Transport is stopped.

##### Invoked just before a Transport is stopped.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method clear (line 62)

#### void clear( )

Implementation of:

Swift_Plugins_Logger::clear()
  Clear the log contents.

##### Clear the log contents.

#### Info

- access - public

#### Method commandSent (line 82)

#### void commandSent( Swift_Events_CommandEvent $evt)

Implementation of:

Swift_Events_CommandListener::commandSent()
  Invoked immediately following a command being sent.

##### Invoked immediately following a command being sent.

#### Parameters

- Swift_Events_ResponseEvent $evt:

#### Info

- access - public

#### Method dump (line 72)

#### string dump( )

Implementation of:

Swift_Plugins_Logger::dump()
  Get this log as a string.

##### Get this log as a string.

#### Info

- access - public

#### Method exceptionThrown (line 148)

#### void exceptionThrown( Swift_Events_TransportExceptionEvent $evt)

Implementation of:

Swift_Events_TransportExceptionListener::exceptionThrown()
  Invoked as a TransportException is thrown in the Transport system.

##### Invoked as a TransportException is thrown in the Transport system.

#### Parameters

- Swift_Events_TransportExceptionEvent $evt:

#### Info

- access - public

#### Method responseReceived (line 93)

#### void responseReceived( Swift_Events_ResponseEvent $evt)

Implementation of:

Swift_Events_ResponseListener::responseReceived()
  Invoked immediately following a response coming back.

##### Invoked immediately following a response coming back.

#### Parameters

- Swift_Events_ResponseEvent $evt:

#### Info

- access - public

#### Method transportStarted (line 115)

#### void transportStarted( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::transportStarted()
  Invoked immediately after the Transport is started.

##### Invoked immediately after the Transport is started.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

#### Method transportStopped (line 137)

#### void transportStopped( Swift_Events_TransportChangeEvent $evt)

Implementation of:

Swift_Events_TransportChangeListener::transportStopped()
  Invoked immediately after the Transport is stopped.

##### Invoked immediately after the Transport is stopped.

#### Parameters

- Swift_Events_TransportChangeEvent $evt:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:24 +0000 by phpDocumentor 1.4.3